summaryrefslogtreecommitdiffhomepage
path: root/subr/ex_pkg_state.subr
diff options
context:
space:
mode:
authorLucio Andrés Illanes Albornoz (arab, vxp) <lucio@lucioillanes.de>2017-11-22 16:00:55 +0000
committerLucio Andrés Illanes Albornoz (arab, vxp) <lucio@lucioillanes.de>2017-11-22 18:06:58 +0000
commitfc9417f077a909539495531229f9035c15fe10f0 (patch)
tree30195a268ceb7d5a6bb5a1c6167385bbbf68e58d /subr/ex_pkg_state.subr
parent14c984b00aece1050b63288fe5856854ebcbb352 (diff)
downloadmidipix_build-fc9417f077a909539495531229f9035c15fe10f0.tar.bz2
midipix_build-fc9417f077a909539495531229f9035c15fe10f0.tar.xz
build.sh, subr/ex_pkg_dispatch.subr: splits build logging and job control logic.
subr/ex_pkg_dispatch.subr: dispatch background jobs w/ redirected std{err,out} & FIFO. subr/ex_pkg_state.subr:ex_pkg_state_init(): trap(1) signals to abort build. vars/{gcc,musl}.vars: don't exit(1) from within package subroutine.
Diffstat (limited to 'subr/ex_pkg_state.subr')
-rw-r--r--subr/ex_pkg_state.subr3
1 files changed, 3 insertions, 0 deletions
diff --git a/subr/ex_pkg_state.subr b/subr/ex_pkg_state.subr
index 4cc0a8b0..cb86bf2f 100644
--- a/subr/ex_pkg_state.subr
+++ b/subr/ex_pkg_state.subr
@@ -29,6 +29,9 @@ ex_pkg_state_init() {
BUILD_NFINI=${BUILD_NSKIP:=${BUILD_NFAIL:=${BUILD_NBUILT:=0}}};
BUILD_TIMES_SECS=$(ex_date %s);
BUILD_PKGS_FAILED="";
+ trap "rm -f ${BUILD_STATUS_IN_PROGRESS_FNAME}; \
+ ex_log_msg failexit \"Build aborted.\";" \
+ HUP INT TERM USR1 USR2;
};
ex_pkg_state_push() {